/*
 * @Cameron Giarrusso APCS spots Feb 28, 2017
 */
package monopoly.board.spots;

/**
 *
 * @author fcg
 */
/*
* This method stores information about each spot on the board
 */
public class Space {

    private int location = -1;
    private int landed = 0;
    private String name = "NULL";

    public Space(String name, int location){
        this.name = name;
        this.location = location;
    }
    
    public int getLocation() {
        return location;
    }

    public int getLanded() {
        return landed;
    }

    public String getName() {
        return name;
    }

    public void setLocation(int location) {
        this.location = location;
    }

    public void setLanded(int landed) {
        this.landed = landed;
    }

    public void setName(String name) {
        this.name = name;
    }

    public void addLand() {
        this.landed++;
    }

    public int distance(int otherLocation) {
        if (otherLocation < location) {
            otherLocation += 40;
        }

        return otherLocation - location;
    }
    
    public int distance(Space otherSpot){
        return distance(otherSpot.getLocation());
    }
}
